﻿B4A=true
Group=Principal
ModulesStructureVersion=1
Type=StaticCode
Version=9.801
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim IsrDeterminado As Double
	Dim ReduccionGlobal As Double
	Dim workbook1 As ReadableWorkbook
End Sub

Sub Isr(ValorIsr As Double)As Double
	If ValorIsr>=0 Then
	If ValorIsr>=0.01 And ValorIsr<=1157.04 Then
		IsrDeterminado=ValorIsr*0.0192
	else if ValorIsr >=1157.05 And ValorIsr<=9820.36 Then
		IsrDeterminado=((ValorIsr-1157.05)*(0.0640))+22.22
	Else if ValorIsr>=9820.37 And ValorIsr<=17258.4 Then
		IsrDeterminado=((ValorIsr-9820.37)*(0.1088))+576.66
	Else if ValorIsr>=17258.41 And ValorIsr<=20062.14 Then
		IsrDeterminado=((ValorIsr-17258.41)*(0.16))+1385.92
	Else if ValorIsr>=20062.15 And ValorIsr<=24019.88 Then
		IsrDeterminado=((ValorIsr-20062.15)*(0.1792))+1832.52
	Else if ValorIsr>=24019.89 And ValorIsr<=48444.62 Then
		IsrDeterminado=((ValorIsr-24019.89)*(0.2136))+2543.74
	Else if ValorIsr>=48444.63 And ValorIsr<=76355.38 Then
		IsrDeterminado=((ValorIsr-48444.63)*(0.2352))+7760.88
	Else if ValorIsr>=76355.38 And ValorIsr<=145775 Then
		IsrDeterminado=((ValorIsr-76355.38)*(0.3))+14325.48
	Else if ValorIsr>=145775.01 And ValorIsr<=194366.66 Then
		IsrDeterminado=((ValorIsr-14775.01)*(0.32))+35151.38
	Else if ValorIsr>=194366.67 And ValorIsr<=583100 Then
		IsrDeterminado=((ValorIsr-194366.67)*(0.34))+50700.70
	Else if ValorIsr>=583100.01 Then
		IsrDeterminado=((ValorIsr-583100.01)*(0.33))+182870.04
	End If
	Else
		IsrDeterminado=0
	End If
	Return IsrDeterminado
End Sub

Sub porcentaje(Reduccion As Int) As Double	
	Select Reduccion
		Case 0
			ReduccionGlobal=0.1
		Case 1
			ReduccionGlobal=0.2
		Case 2
			ReduccionGlobal=0.3
		Case 3
			ReduccionGlobal=0.4
		Case 4
			ReduccionGlobal=0.5
		Case 5
			ReduccionGlobal=0.6
		Case 6
			ReduccionGlobal=0.7
		Case 7
			ReduccionGlobal=0.8
		Case 8
			ReduccionGlobal=0.9
		Case 9
			ReduccionGlobal=1
	End Select
	Return  ReduccionGlobal
End Sub

Sub reinicartext(v As EditText)
	v.Text=""
End Sub

'funcion que cambia los colores del radiobutton
Sub SetColorTintList(CB As RadioButton,Checked As Int,Enabled As Int,Disabled As Int)

	Dim States(3,1) As Int

	States(0,0) = 16842912   'Checked
	States(1,0) = 16842910    'Enabled
	States(2,0) = -16842910 'Disabled


	Dim Color(3) As Int = Array As Int(Checked,Enabled,Disabled)

	Dim CSL As JavaObject
	CSL.InitializeNewInstance("android.content.res.ColorStateList",Array As Object(States,Color))
	Dim CB1 As JavaObject = CB
	CB1.RunMethod("setButtonTintList",Array As Object(CSL))

End Sub

'funcion que cambia los colores del checknox
Sub SetColorTintListcheck(CB As CheckBox,Checked As Int,Enabled As Int,Disabled As Int)

	Dim States(3,1) As Int

	States(0,0) = 16842912   'Checked
	States(1,0) = 16842910    'Enabled
	States(2,0) = -16842910 'Disabled


	Dim Color(3) As Int = Array As Int(Checked,Enabled,Disabled)

	Dim CSL As JavaObject
	CSL.InitializeNewInstance("android.content.res.ColorStateList",Array As Object(States,Color))
	Dim CB1 As JavaObject = CB
	CB1.RunMethod("setButtonTintList",Array As Object(CSL))
End Sub

'funcion que cambia los colores del eddittext
Sub SetBackgroundTintList(View As View,Active As Int, Enabled As Int)
	Dim States(2,1) As Int
	States(0,0) = 16842908     'Active
	States(1,0) = 16842910    'Enabled
	Dim Color(2) As Int = Array As Int(Active,Enabled)
	Dim CSL As JavaObject
	CSL.InitializeNewInstance("android.content.res.ColorStateList",Array As Object(States,Color))
	Dim jo As JavaObject
	jo.InitializeStatic("android.support.v4.view.ViewCompat")
	jo.RunMethod("setBackgroundTintList", Array(View, CSL))
End Sub


Sub excel(folder As String)
	workbook1.Initialize(File.DirAssets, "Experimento1.xls")
	Dim moviesSheet As ReadableSheet
	Dim newWorkbook As WritableWorkbook
	Dim newWorkbookLeer As ReadableWorkbook
	newWorkbookLeer.Initialize(File.DirAssets, "Experimento1.xls")
	
	newWorkbook.Initialize2(folder, "2.xls",newWorkbookLeer)

	
	Dim sheet1 As WritableSheet
	sheet1 =newWorkbook.GetSheet(0) 'newWorkbook.AddSheet("Movies", 0)
	Dim cell As WritableCell
	cell.InitializeText(1, 0, "Hello")
	sheet1.AddCell(cell)
	moviesSheet = newWorkbook.GetSheet(0)
	Log(moviesSheet.GetCellValue (1, 0))
	Log(moviesSheet.GetCellValue (0, 0))
	
	newWorkbook.Write
	newWorkbook.Close
End Sub

Sub acomodopaneles(v As Panel,i As Int, prueba As Int)As Int
	If v.Visible=True And i=1 Then
		v.Top=0%y
		prueba=v.Top+v.Height
	Else If v.Visible=True And i>1 Then
		v.Top=prueba
		prueba=v.Top+v.Height
		v.Left=0%x
		v.Width=100%x
	End If
	Return prueba
End Sub

Sub hintedittext(j As FloatLabeledEditText)
	j.Hint="ingresa número"
End Sub


